GPathResultMap (Grails 6.0.0)

Package: org.grails.databinding.xml

## [Groovy] Class GPathResultMap

- org.grails.databinding.xml.GPathResultMap

- All Implemented Interfaces and Traits:
    java.util.Map

      class GPathResultMap
      extends java.lang.Object
      implements java.util.Map

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected groovy.util.slurpersupport.GPathResult` | `gpath` |
    `protected java.lang.Object` | `id` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GPathResultMap (groovy.util.slurpersupport.GPathResult gpath)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `` | `java.util.Set` | `entrySet()`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `protected java.lang.String` | `getPropertyNameForNode(groovy.util.slurpersupport.Node node)`
    `` | `protected java.lang.String` | `getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Set` | `keySet()`
    `` | `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `int` | `size()`
    `` | `java.util.Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected groovy.util.slurpersupport.GPathResult gpath

    - #### protected java.lang.Object id

  - ### Constructor Detail

    - #### GPathResultMap(groovy.util.slurpersupport.GPathResult gpath)

  - ### Method Detail

    - #### void clear()

    - #### boolean containsKey(java.lang.Object key)

    - #### boolean containsValue(java.lang.Object value)

    - #### java.util.Set entrySet()

    - #### java.lang.Object get(java.lang.Object key)

    - #### protected java.lang.String getPropertyNameForNode(groovy.util.slurpersupport.Node node)

    - #### protected java.lang.String getPropertyNameForNodeChild(groovy.util.slurpersupport.NodeChild child)

    - #### boolean isEmpty()

    - #### java.util.Set keySet()

    - #### java.lang.Object put(java.lang.Object key, java.lang.Object value)

    - #### void putAll(java.util.Map m)

    - #### java.lang.Object remove(java.lang.Object key)

    - #### int size()

    - #### java.util.Collection values()